package net.mcreator.realmforge.client.model;

import net.minecraft.world.entity.Entity;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.model.geom.builders.PartDefinition;
import net.minecraft.client.model.geom.builders.MeshDefinition;
import net.minecraft.client.model.geom.builders.LayerDefinition;
import net.minecraft.client.model.geom.builders.CubeListBuilder;
import net.minecraft.client.model.geom.builders.CubeDeformation;
import net.minecraft.client.model.geom.PartPose;
import net.minecraft.client.model.geom.ModelPart;
import net.minecraft.client.model.geom.ModelLayerLocation;
import net.minecraft.client.model.EntityModel;

import com.mojang.blaze3d.vertex.VertexConsumer;
import com.mojang.blaze3d.vertex.PoseStack;

// Made with Blockbench 4.10.4
// Exported for Minecraft version 1.17 or later with Mojang mappings
// Paste this class into your mod and generate all required imports
public class ModelBronze_Helmet<T extends Entity> extends EntityModel<T> {
	// This layer location should be baked with EntityRendererProvider.Context in
	// the entity renderer and passed into this model's constructor
	public static final ModelLayerLocation LAYER_LOCATION = new ModelLayerLocation(new ResourceLocation("realmforge", "model_bronze_helmet"), "main");
	public final ModelPart bone;

	public ModelBronze_Helmet(ModelPart root) {
		this.bone = root.getChild("bone");
	}

	public static LayerDefinition createBodyLayer() {
		MeshDefinition meshdefinition = new MeshDefinition();
		PartDefinition partdefinition = meshdefinition.getRoot();
		PartDefinition bone = partdefinition.addOrReplaceChild("bone", CubeListBuilder.create(), PartPose.offsetAndRotation(9.0F, -1.0F, 1.0F, 0.0F, 1.5708F, 0.0F));
		PartDefinition cube_r1 = bone.addOrReplaceChild("cube_r1", CubeListBuilder.create().texOffs(16, 23).addBox(-15.0F, -18.0F, -1.0F, 11.0F, 4.0F, 2.0F, new CubeDeformation(0.1F)),
				PartPose.offsetAndRotation(0.0F, 4.0F, 12.0F, 0.0F, -1.5708F, 0.0F));
		PartDefinition cube_r2 = bone.addOrReplaceChild("cube_r2", CubeListBuilder.create().texOffs(26, 0).addBox(-10.0F, -10.0F, -5.0F, 6.0F, 2.0F, 2.0F, new CubeDeformation(0.1F)),
				PartPose.offsetAndRotation(-4.0F, 0.0F, 8.0F, 0.0F, -1.5708F, 0.0F));
		PartDefinition cube_r3 = bone.addOrReplaceChild("cube_r3", CubeListBuilder.create().texOffs(0, 8).addBox(-4.0F, -36.0F, -1.0F, 0.0F, 10.0F, 8.0F, new CubeDeformation(0.1F)),
				PartPose.offsetAndRotation(3.0F, 28.0F, 0.0F, 0.0F, -1.5708F, 0.0F));
		PartDefinition cube_r4 = bone.addOrReplaceChild("cube_r4", CubeListBuilder.create().texOffs(16, 16).addBox(-5.5F, -8.5F, -1.0F, 11.0F, 5.0F, 2.0F, new CubeDeformation(0.1F)),
				PartPose.offsetAndRotation(0.0F, -4.5F, 0.5F, -1.5708F, 0.0F, 1.5708F));
		PartDefinition cube_r5 = bone.addOrReplaceChild("cube_r5", CubeListBuilder.create().texOffs(0, 0).addBox(-12.0F, -32.0F, -1.0F, 8.0F, 8.0F, 8.0F, new CubeDeformation(0.1F)),
				PartPose.offsetAndRotation(3.0F, 24.0F, 8.0F, 0.0F, -1.5708F, 0.0F));
		return LayerDefinition.create(meshdefinition, 64, 64);
	}

	@Override
	public void setupAnim(Entity entity, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw, float headPitch) {
	}

	@Override
	public void renderToBuffer(PoseStack poseStack, VertexConsumer vertexConsumer, int packedLight, int packedOverlay, float red, float green, float blue, float alpha) {
		bone.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
	}
}
