
package net.mcreator.realmforge.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.PickaxeItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;

import net.mcreator.realmforge.init.RealmforgeModItems;

public class SilverPickaxeItem extends PickaxeItem {
	public SilverPickaxeItem() {
		super(new Tier() {
			public int getUses() {
				return 292;
			}

			public float getSpeed() {
				return 13f;
			}

			public float getAttackDamageBonus() {
				return 2f;
			}

			public int getLevel() {
				return 2;
			}

			public int getEnchantmentValue() {
				return 20;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(RealmforgeModItems.SILVER_INGOT.get()));
			}
		}, 1, -3f, new Item.Properties());
	}
}
